package com.simuwang.base.mapper;

import com.simuwang.base.pojo.dos.EmailFileInfoDO;
import com.simuwang.base.pojo.dos.EmailParseDetailDO;
import com.simuwang.base.pojo.dos.EmailTaskInfoDO;
import com.simuwang.base.pojo.dto.query.EmailFileQuery;
import com.simuwang.base.pojo.dto.query.FundFilePageQuery;
import com.simuwang.base.pojo.dto.query.TaskPageQuery;
import com.simuwang.base.pojo.vo.FundFileInfoVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

@Mapper
public interface EmailTaskInfoMapper {

    Integer insert(@Param("itemDo") EmailTaskInfoDO emailTaskInfoDO);

    void updateTaskStatus(@Param("email") String email, @Param("startTime")Date startDate, @Param("endTime")Date endDate,@Param("taskStatus")Integer taskStatus);

    List<EmailTaskInfoDO> searchTaskList(TaskPageQuery taskPageQuery);

    long countTaskList(TaskPageQuery taskPageQuery);

    void updateTaskStatusById(EmailTaskInfoDO emailTaskInfoDO);

    void deleteTaskLog(@Param("idList") List<Integer> idList, @Param("userId") Integer userId);
}
